### Hierarchy

- DateTimeAbsoluteComponent

### Implements

- OnChanges

## Index

### Inputs

- batchText
- dateFormat
- placeholder
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- batchText
- dateFormat
- dateRange
- endTime
- placeholder
- startTime
- value
- valueChange

### Methods

- ngOnChanges
- onChange

## Constructors

### constructor

- new DateTimeAbsoluteComponent(): DateTimeAbsoluteComponent

- #### Returns DateTimeAbsoluteComponent

## Properties

### batchText

@Input()
batchText: any

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:87

### dateFormat

@Input()
dateFormat: string = 'Y-m-d'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:88

### dateRange

dateRange: any = null

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:84

### endTime

endTime: string = '00:00'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:83

### placeholder

@Input()
placeholder: string = 'yyyy-mm-dd'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:89

### startTime

startTime: string = '00:00'

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:82

### value

@Input()
value: any[] = ...

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:86

### valueChange

@Output()
valueChange: EventEmitter<[Date, Date]> = ...

- Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:90

## Methods

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:92

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### onChange

- onChange(): void

- - Defined in packages/angular/src/date-time-picker/date-time-absolute.component.ts:105

  #### Returns void

Generated using TypeDoc